package basic

import com.excilys.ebi.gatling.core.Predef._
import com.excilys.ebi.gatling.http.Predef._
import com.excilys.ebi.gatling.jdbc.Predef._
import com.excilys.ebi.gatling.http.Headers.Names._
import akka.util.duration._
import bootstrap._

class LoadGen extends Simulation {

        val nbUsers = Integer.getInteger("users", 1)
        val myRamp = java.lang.Long.getLong("ramp", 0L)
        val myIter = Integer.getInteger("iter", 1)
        val myUrl = System.getProperty("url")
        val pgReqFeeder = ssv("pgRequest.ssv").circular
        println(myUrl)
        val httpConf = httpConfig
                .baseURL(myUrl)
                .acceptHeader("*/*")

        val scn = scenario("Enrichment Demo")
                .repeat(myIter) {
                   feed(pgReqFeeder)
                   .exec(
                        http("Http Post")
                                .post("/something.do")
                                .header("Content-Type", "application/json")
                                .body("${REQUESTBODY}")
                                .asJSON
                                .check(status.is(200)))

          }
        setUp(scn.users(nbUsers).ramp(myRamp).protocolConfig(httpConf))
